Package org.eclipse.emf.cdo.transfer

## Class CDOTransferElement

- java.lang.Object
- - org.eclipse.emf.cdo.transfer.CDOTransferElement

-     public abstract class CDOTransferElement
      extends java.lang.Object

  An abstraction of the elements (such as files or folders) of a `transfer system`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOTransferElement[]` | `NO_CHILDREN` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CDOTransferElement​(CDOTransferSystem system)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract CDOTransferElement[]` | `doGetChildren()` |
    `protected abstract java.io.InputStream` | `doOpenInputStream()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `CDOTransferElement` | `getChild​(java.lang.String path)` |
    `CDOTransferElement` | `getChild​(IPath path)` |
    `CDOTransferElement[]` | `getChildren()` |
    `java.lang.String` | `getName()` |
    `abstract java.lang.Object` | `getNativeObject()` |
    `CDOTransferElement` | `getParent()` |
    `abstract IPath` | `getPath()` |
    `CDOTransferSystem` | `getSystem()` |
    `URI` | `getURI()` |
    `int` | `hashCode()` |
    `abstract boolean` | `isDirectory()` |
    `boolean` | `isRoot()` |
    `java.io.InputStream` | `openInputStream()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_CHILDREN

          public static final CDOTransferElement[] NO_CHILDREN

  - ### Constructor Detail

    - #### CDOTransferElement

          protected CDOTransferElement​(CDOTransferSystem system)

  - ### Method Detail

    - #### getSystem

          public final CDOTransferSystem getSystem()

    - #### getNativeObject

          public abstract java.lang.Object getNativeObject()

    - #### isDirectory

          public abstract boolean isDirectory()

    - #### getPath

          public abstract IPath getPath()

    - #### getName

          public final java.lang.String getName()

    - #### getURI

          public final URI getURI()

    - #### isRoot

          public final boolean isRoot()

    - #### getParent

          public final CDOTransferElement getParent()

    - #### getChildren

          public final CDOTransferElement[] getChildren()

    - #### getChild

          public final CDOTransferElement getChild​(IPath path)

    - #### getChild

          public final CDOTransferElement getChild​(java.lang.String path)

    - #### openInputStream

          public final java.io.InputStream openInputStream()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### doGetChildren

          protected abstract CDOTransferElement[] doGetChildren()

    - #### doOpenInputStream

          protected abstract java.io.InputStream doOpenInputStream()